Loading...
Searching...
No Matches
smartlock::KeypadManager::KeypadSettingsChangedEvent Struct Reference
Inheritance diagram for smartlock::KeypadManager::KeypadSettingsChangedEvent:

## Public Attributes

Keypad | keypad
| affected keypad
KeypadSettings | oldSettings
| Settings before change.
KeypadSettings | newSettings
| Settings after change.
string | position
| Position of the keypad (see Keypad::MetaData)
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

The documentation for this struct was generated from the following file:

- KeypadManager.idl